apiVersion: elasticsearch.k8s.elastic.co/v1
kind: Elasticsearch
metadata:
  name: elasticsearch-ha
spec:
  version: 8.17.4
  nodeSets:
  - name: default
    count: 3
    config:
      node.store.allow_mmap: false
#    volumeClaimTemplates:
#    - metadata:
#        name: elasticsearch-data
#      spec:
#        accessModes:   
#        - ReadWriteOnce
#        storageClassName: longhorn
#        resources: 
#          requests:
#            storage: 5Gi
